#ifndef GRINDING_BOWL_HPP_
#define GRINDING_BOWL_HPP_

#include <Block/SpriteBlock/BasicBlock/BasicBlock.hpp>
#include <Block/MachineBlockMixin.hpp>
#include <Machine/MGrindingBowl/MGrindingBowl.hpp>

class GrindingBowl : public BasicBlock, public MachineBlockMixin<MGrindingBowl>
{
public:
    GrindingBowl(std::string name);

    virtual void onInteract(LocalWorld &world, Player &player, glm::ivec3 pos, Side side, const RGBABytes &collisionKey) override;
    virtual void getHarvestedStacks(LocalWorld &world, glm::ivec3 pos, std::vector<ItemStack> &stacks) override;
    virtual bool canManuallyDig() override;
};

#endif